Bug 641986 - Add support for IBM CTC (pointopoint) devices
Add support for IBM CTC (pointopoint) devices
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
rawhide
s390x Linux
low Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker 660666
  Show dependency treegraph
 
Reported: 2010-10-11 13:44 EDT by Karsten Hopp
Modified: 2011-05-26 17:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: NetworkManager-0.8.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 660666 (view as bug list)
Environment:
Last Closed: 2011-04-22 23:58:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add support for ctc devices so that anaconda can install from those (4.55 KB, text/x-c)
2010-10-18 09:21 EDT, Karsten Hopp
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 647578 None None None Never

  None (edit)
Description Karsten Hopp 2010-10-11 13:44:17 EDT
Description of problem:
Installation via CTC devices is currently not possible. 
First problem is that NM doesn't mark those devices as Network devices.
In src/nm-udev-manager.c:net_add the content of p.e. 
/sys/devices/ctcm/0.0.0150/net/ctc0/type is read. As it is a pointopoint device it doesn't have '1' in it but '256', so the check for 'if ((etype != 1)' fails.

Second problem that I couldn't pin down yet is that nm_connection_verify in the wired_connection_from_ifcfg function fails and afterward the ctc0 network interface gets shut down.

This is currently blocking installations with the current NM on the hercules  s390x emulatory, which would be very helpful for other Fedora maintainers to track down bugs in their packages as most of them don't have access to a real mainframe.
Comment 1 Karsten Hopp 2010-10-18 09:21:20 EDT
Created attachment 454105 [details]
Add support for ctc devices so that anaconda can install from those

I wasn't sure how to detect a network interface is of type CTC, so I'm currently relying on the interface name.
Comment 2 Dan Williams 2011-04-12 17:01:06 EDT
Patches and additional testcases committed upstream as:

8407a9f92c653d159861051bc3c2a3133d2c05f6 (master)
e476360cacff60aab13f79c262d13e4ee8d6f146 (0.8.x)

sorry for the lag :(
Comment 3 Dan Horák 2011-04-15 09:23:47 EDT
(In reply to comment #2)
> Patches and additional testcases committed upstream as:
> 
> 8407a9f92c653d159861051bc3c2a3133d2c05f6 (master)
> e476360cacff60aab13f79c262d13e4ee8d6f146 (0.8.x)
> 
> sorry for the lag :(

Dan, does that mean that the fixes will appear in F-15 GA (or better post-Beta) NetworkManager?
Comment 4 Dan Williams 2011-04-15 17:38:56 EDT
(In reply to comment #3)
> (In reply to comment #2)
> > Patches and additional testcases committed upstream as:
> > 
> > 8407a9f92c653d159861051bc3c2a3133d2c05f6 (master)
> > e476360cacff60aab13f79c262d13e4ee8d6f146 (0.8.x)
> > 
> > sorry for the lag :(
> 
> Dan, does that mean that the fixes will appear in F-15 GA (or better post-Beta)
> NetworkManager?

I believe that is correct, yes.
Comment 5 Fedora Update System 2011-04-15 17:43:12 EDT
NetworkManager-0.8.3.999-2.git20110414.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc14
Comment 6 Fedora Update System 2011-04-15 17:44:00 EDT
NetworkManager-0.8.3.999-2.git20110414.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc13
Comment 7 Fedora Update System 2011-04-16 16:50:41 EDT
Package NetworkManager-0.8.3.999-2.git20110414.fc13:
* should fix your issue,
* was pushed to the Fedora 13 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.8.3.999-2.git20110414.fc13'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/NetworkManager-0.8.3.999-2.git20110414.fc13
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2011-04-19 02:44:11 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.998-3.git20110419.fc15
Comment 9 Fedora Update System 2011-04-20 18:43:01 EDT
NetworkManager-0.8.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc14
Comment 10 Fedora Update System 2011-04-20 18:44:29 EDT
NetworkManager-0.8.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/NetworkManager-0.8.4-1.fc13
Comment 11 Fedora Update System 2011-04-22 23:58:08 EDT
NetworkManager-0.8.998-3.git20110419.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-04-27 22:03:21 EDT
NetworkManager-0.8.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-05-26 17:52:34 EDT
NetworkManager-0.8.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.